%global debug_package %{nil}

%global module_version 0.66

Name:           perl-Spreadsheet-ParseExcel
Version:        0.6600
Release:    2%{?dist}
Summary:        Extract information from an Excel file
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Spreadsheet-ParseExcel
Source0:        https://cpan.metacpan.org/modules/by-module/Spreadsheet/Spreadsheet-ParseExcel-%{module_version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(Crypt::RC4)
BuildRequires:  perl(Digest::Perl::MD5)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Jcode)
BuildRequires:  perl(OLE::Storage_Lite) >= 0.19
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Spreadsheet::WriteExcel)
BuildRequires:  perl(Unicode::Map)
BuildRequires:  perl(utf8)
BuildRequires:  perl(vars)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Perl::MinimumVersion) >= 1.20
BuildRequires:  perl(Pod::Simple) >= 3.07
BuildRequires:  perl(Test::CPAN::Meta) >= 0.12
BuildRequires:  perl(Test::MinimumVersion) >= 0.008
BuildRequires:  perl(Test::Pod) >= 1.26
Requires:       perl(Text::CSV_XS)

%description
The Spreadsheet::ParseExcel module can be used to read information from an
Excel 95-2003 file.

%prep
%setup -q -n Spreadsheet-ParseExcel-%{module_version}

for file in sample/* ; do
    [ -f "$file" ] && %{__perl} -pi -e 's/\r\n/\n/' "$file"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}
install -D -m 644 -p CP932Excel.map \
    %{buildroot}%{perl_vendorarch}/Unicode/Map/MS/WIN/CP932Excel.map

%check
make test AUTOMATED_TESTING=1

%files
%doc Changes README README_Japan.htm examples/ sample/
%{perl_vendorarch}/Unicode/
%{perl_vendorlib}/Spreadsheet/
%{_mandir}/man3/Spreadsheet::ParseExcel.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::Cell.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::Dump.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::FmtDefault.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::FmtJapan.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::FmtJapan2.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::FmtUnicode.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::Font.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::Format.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::SaveParser.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::SaveParser::Workbook.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::SaveParser::Worksheet.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::Utility.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::Workbook.3*
%{_mandir}/man3/Spreadsheet::ParseExcel::Worksheet.3*

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6600-2
- rebuild

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6600-1
- initial build
